Watch Question

Cannot get colab working

Related to: AI Unlimited
Date: 22/04/2024 07:43
User: Dan Bement
Awards:
i have not been able to get any of the platforms working. I keep getting errors when I try to run the apps.

this is the error i get on 2.1


The cache for model files in Transformers v4.22.0 has been updated. Migrating your old cache. This is a one-time only operation. You can interrupt this and resume the migration later on by calling `transformers.utils.move_cache()`.
?0/0?[00:00 ---------------------------------------------------------------------------
ImportError Traceback (most recent call last)
/usr/local/lib/python3.10/dist-packages/diffusers/utils/import_utils.py in _get_module(self, module_name)
731 try:
--> 732 return importlib.import_module("." + module_name, self.__name__)
733 except Exception as e:

25 frames
ImportError: cannot import name 'CpuOffload' from 'accelerate.hooks' (/usr/local/lib/python3.10/dist-packages/accelerate/hooks.py)

The above exception was the direct cause of the following exception:

RuntimeError Traceback (most recent call last)
RuntimeError: Failed to import diffusers.loaders.lora because of the following error (look up to see its traceback):
cannot import name 'CpuOffload' from 'accelerate.hooks' (/usr/local/lib/python3.10/dist-packages/accelerate/hooks.py)

The above exception was the direct cause of the following exception:

RuntimeError Traceback (most recent call last)
/usr/local/lib/python3.10/dist-packages/diffusers/utils/import_utils.py in _get_module(self, module_name)
732 return importlib.import_module("." + module_name, self.__name__)
733 except Exception as e:
--> 734 raise RuntimeError(
735 f"Failed to import {self.__name__}.{module_name} because of the following error (look up to see its"
736 f" traceback):\n{e}"

RuntimeError: Failed to import diffusers.pipelines.stable_diffusion.pipeline_stable_diffusion because of the following error (look up to see its traceback):
Failed to import diffusers.loaders.lora because of the following error (look up to see its traceback):
cannot import name 'CpuOffload' from 'accelerate.hooks' (/usr/local/lib/python3.10/dist-packages/accelerate/hooks.py)


What should i do
Dan Bement
bementdan@gmail.com

Answers

Date: 04/04/2024 07:41
User: Jorge Vila
Awards:
This has been updated many times, in the meanwhile, have you tried "Create AI Images (XL)" option in the left menu?
Date: 04/04/2024 20:47
User: Dan Bement
Awards:
I get this error in XL

/usr/lib/dotnet/sdk/7.0.117/Sdks/Microsoft.NET.Sdk/targets/Microsoft.NET.TargetFrameworkInference.targets(144,5): error NETSDK1045: The current .NET SDK does not support targeting .NET 8.0. Either target .NET 7.0 or lower, or use a version of the .NET SDK that supports .NET 8.0. [/content/StableSwarmUI/src/StableSwarmUI.csproj]

Build FAILED.

/usr/lib/dotnet/sdk/7.0.117/Sdks/Microsoft.NET.Sdk/targets/Microsoft.NET.TargetFrameworkInference.targets(144,5): error NETSDK1045: The current .NET SDK does not support targeting .NET 8.0. Either target .NET 7.0 or lower, or use a version of the .NET SDK that supports .NET 8.0. [/content/StableSwarmUI/src/StableSwarmUI.csproj]
0 Warning(s)
1 Error(s)

Time Elapsed 00:00:02.45
=Could not execute because the specified command or file was not found.
Possible reasons for this include:
* You misspelled a built-in dotnet command.
* You intended to execute a .NET program, but dotnet-src/bin/live_release/StableSwarmUI.dll does not exist.
* You intended to run a global tool, but a dotnet-prefixed executable with this name could not be found on the PATH.
Date: 22/04/2024 07:43
User: Jorge Vila
Awards:
Respuesta Aprobada
Updated Colab Link in XL. Now it's faster than ever!


Copyright jorgevila.com 2022

Helpdesk system developed for online help. If you need to contact me or use this system in your products, contact me through jorge@jorgevila.com